Skip to Content
0
Aug 03, 2022 at 11:53 AM

Deploy Error app already deployed

504 Views

Hi,

Today it is failing to deploy an mta app to Foundry that I had previously successfully deployed.

I have not made any changes.

I have tried to create a new mta with approuter module, and the deployment also fails.

Build Log

[2022-08-03 11:52:18] INFO Cloud MTA Build Tool version 1.2.18
[2022-08-03 11:52:18] INFO generating the "Makefile_20220803115218.mta" file...
[2022-08-03 11:52:18] INFO done
[2022-08-03 11:52:18] INFO executing the "make -f Makefile_20220803115218.mta p=cf mtar= strict=true mode=" command...
[2022-08-03 11:52:18] INFO validating the MTA project
[2022-08-03 11:52:18] INFO validating the MTA project
[2022-08-03 11:52:18] INFO building the "pruebamtaerrordeploy-approuter" module...
[2022-08-03 11:52:18] INFO executing the "npm install --production" command...
.npm WARN config production Use `--omit=dev` instead.
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: undefined,
npm WARN EBADENGINE required: { node: '^10.0.0 || ^12.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/approuter@10.5.1',
npm WARN EBADENGINE required: { node: '^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/audit-logging@4.2.0',
npm WARN EBADENGINE required: { node: '^8.0.0 || ^10.0.0 || ^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/e2e-trace@3.0.0',
npm WARN EBADENGINE required: { node: '^8.0.0 || ^10.0.0 || ^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/html5-repo-mock@2.1.0',
npm WARN EBADENGINE required: { node: '^10.0.0 || ^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/logging@6.0.3',
npm WARN EBADENGINE required: { node: '^8.0.0 || ^10.0.0 || ^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: '@sap/xsenv@3.1.0',
npm WARN EBADENGINE required: { node: '^8.0.0 || ^10.0.0 || ^12.0.0 || ^14.0.0' },
npm WARN EBADENGINE current: { node: 'v16.15.0', npm: '8.15.1' }
npm WARN EBADENGINE }

up to date in 867ms

2 packages are looking for funding
run `npm fund` for details
[2022-08-03 11:52:20] INFO the build results of the "pruebamtaerrordeploy-approuter" module will be packaged and saved in the "/home/user/projects/pruebamtaerrordeploy/.pruebamtaerrordeploy_mta_build_tmp/pruebamtaerrordeploy-approuter" folder
[2022-08-03 11:52:21] INFO finished building the "pruebamtaerrordeploy-approuter" module
[2022-08-03 11:52:21] INFO building the "pruebamtaerrordeploy_ui_deployer" module...
[2022-08-03 11:52:21] INFO the build results of the "pruebamtaerrordeploy_ui_deployer" module will be packaged and saved in the "/home/user/projects/pruebamtaerrordeploy/.pruebamtaerrordeploy_mta_build_tmp/pruebamtaerrordeploy_ui_deployer" folder
[2022-08-03 11:52:24] INFO finished building the "pruebamtaerrordeploy_ui_deployer" module
[2022-08-03 11:52:24] INFO generating the metadata...
[2022-08-03 11:52:24] INFO generating the "/home/user/projects/pruebamtaerrordeploy/.pruebamtaerrordeploy_mta_build_tmp/META-INF/mtad.yaml" file...
[2022-08-03 11:52:24] INFO generating the MTA archive...
[2022-08-03 11:52:25] INFO the MTA archive generated at: /home/user/projects/pruebamtaerrordeploy/mta_archives/pruebamtaerrordeploy_0.0.1.mtar
[2022-08-03 11:52:25] INFO cleaning temporary files...

Terminal will be reused by tasks.


Deploy log

imagen.png

Thanks in advance

Attachments

imagen.png (92.0 kB)